from scipy.optimize import fsolve
import matplotlib.pyplot as plt
import numpy as np

def func(x):
    return x**2 - x - 2

x = np.arange(-6,6,0.1)   # start,stop,step
y = func(x)

plt.figure(1)
plt.plot(x,y)
plt.xlabel("x")
plt.ylabel("y")
plt.title("Plot of func")
plt.grid()
plt.show(block=False)
plt.pause(2)
plt.close()

x0 = 0 #guess
root = fsolve(func, x0)
print(root)
